
package com.lideeyunji.core.framework.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lideeyunji.core.framework.entity.EnhanceJavaEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lideeyunji.tool.framework.common.constant.lideeYunJiBaseConstant;

/**
 * Java增强相关
 */
@DS(lideeYunJiBaseConstant.DS_lideeyunji)
public interface EnhanceJavaMapper extends BaseMapper<EnhanceJavaEntity> {


    default void delByDbFormId(Long dbFormId){
        QueryWrapper<EnhanceJavaEntity> wrapper = new QueryWrapper();
        wrapper.eq("dbform_id", dbFormId);
        this.delete(wrapper);
    }
}
